Blob Blame Raw
Index: racoon2-20100526a/racoon2
===================================================================
--- /dev/null
+++ racoon2-20100526a/racoon2
@@ -0,0 +1,2 @@
+#!/bin/sh
+/usr/sbin/racoon2-spmd && /usr/sbin/racoon2-iked
Index: racoon2-20100526a/racoon2.service
===================================================================
--- /dev/null
+++ racoon2-20100526a/racoon2.service
@@ -0,0 +1,6 @@
+[Unit]
+Description=Racoon2
+
+[Service]
+Type=forking
+ExecStart=/usr/sbin/racoon2
Index: racoon2-20100526a/racoon2.sysvinit
===================================================================
--- /dev/null
+++ racoon2-20100526a/racoon2.sysvinit
@@ -0,0 +1,105 @@
+#!/bin/sh
+#
+# racoon2      An implementation of key management system for IPsec
+#
+# chkconfig:   - 48 52
+# description: Starts or stops the Racoon2 daemons.
+
+### BEGIN INIT INFO
+# Provides: ipsec
+# Required-Start: $network $remote_fs $syslog $named
+# Required-Stop: $syslog $remote_fs
+# Default-Start: 
+# Default-Stop: 0 1 6
+# Short-Description: Start Racoon2 daemons at boot time
+### END INIT INFO
+
+# Source function library.
+. /etc/rc.d/init.d/functions
+
+exec1="/usr/sbin/racoon2-spmd"
+exec2="/usr/sbin/racoon2-iked"
+prog="racoon2"
+prog1="spmd"
+config="/etc/racoon2/racoon2.conf"
+
+[ -e /etc/sysconfig/$prog ] && . /etc/sysconfig/$prog
+
+lockfile=/var/lock/subsys/$prog
+
+start() {
+    [ -x $exec1 ] || exit 5
+    [ -x $exec1 ] || exit 5
+    [ -f $config ] || exit 6
+    echo -n $"Starting $prog: "
+    daemon $exec1
+    daemon $exec2
+    retval=$?
+    echo
+    [ $retval -eq 0 ] && touch $lockfile
+    return $retval
+}
+
+stop() {
+    echo -n $"Stopping $prog: "
+    killproc $prog1
+    retval=$?
+    echo
+    [ $retval -eq 0 ] && rm -f $lockfile
+    return $retval
+}
+
+restart() {
+    stop
+    start
+}
+
+reload() {
+    restart
+}
+
+force_reload() {
+    restart
+}
+
+rh_status() {
+    # run checks to determine if the service is running or use generic status
+    status $prog
+}
+
+rh_status_q() {
+    rh_status >/dev/null 2>&1
+}
+
+
+case "$1" in
+    start)
+        rh_status_q && exit 0
+        $1
+        ;;
+    stop)
+        rh_status_q || exit 0
+        $1
+        ;;
+    restart)
+        $1
+        ;;
+    reload)
+        rh_status_q || exit 7
+        $1
+        ;;
+    force-reload)
+        force_reload
+        ;;
+    status)
+        rh_status
+        ;;
+    condrestart|try-restart)
+        rh_status_q || exit 0
+        restart
+        ;;
+    *)
+        echo $"Usage: $0 {start|stop|status|restart|condrestart|try-restart|reload|force-reload}"
+        exit 2
+esac
+exit $?